| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Member Functions | List of all members
Gaudi::Utils::CheckData< Gaudi::Range_< std::vector< const TYPE * > > > Struct Template Reference

the template specialization for ranges More...

`#include <GaudiAlg/GetData.h>`

Inheritance diagram for Gaudi::Utils::CheckData< Gaudi::Range_< std::vector< const TYPE * > > >:
[legend]

## Public Member Functions
bool | operator() (IDataProviderSvc *service, const std::string &location) const
| the only one essential method More...

## Protected Member Functions
DataObject * | getData (IDataProviderSvc *service, const std::string &location) const
| get the data form transient store More...

## Detailed Description

### template<class TYPE>
struct Gaudi::Utils::CheckData< Gaudi::Range_< std::vector< const TYPE * > > >

the template specialization for ranges

Definition at line 332 of file GetData.h.

## Member Function Documentation

## ◆ getData()

template<class TYPE >

DataObject* Gaudi::Utils::CheckData< Gaudi::Range_< std::vector< const TYPE * > > >::getData | ( | IDataProviderSvc * | service,
|  | const std::string & | location
| ) |  | const
| inline protected

get the data form transient store

Parameters

  service | pointer to data provider service
  location | the location

Returns
  the object for TES

Try to be efficient

Definition at line 354 of file GetData.h.

354 {
356 SmartDataObjectPtr getter( SmartDataObjectPtr::ObjectLoader::access(), service, nullptr, location );
357 return getter.accessData();
358 }
GaudiPython.HistoUtils.location
location
Definition: HistoUtils.py:936
SmartDataObjectPtr
A small class used to access easily (and efficiently) data items residing in data stores.
Definition: SmartDataObjectPtr.h:32
SmartDataObjectPtr::ObjectLoader::access
static AccessFunction access()
Definition: SmartDataObjectPtr.cpp:17

## ◆ operator()()

template<class TYPE >

bool Gaudi::Utils::CheckData< Gaudi::Range_< std::vector< const TYPE * > > >::operator() | ( | IDataProviderSvc * | service,
|  | const std::string & | location
| ) |  | const
| inline

the only one essential method

Parameters

  common | the actual "worker"
  service | pointer to Data Provider Service
  location | location of objects in TES

Returns
  true for valid data

Definition at line 341 of file GetData.h.

341 {
342 DataObject* object = this->getData( service, location );
343 if ( !object ) { return false; }
344 return dynamic_cast<typename TYPE::Selection*>( object ) || dynamic_cast<typename TYPE::Container*>( object );
345 }
Gaudi::Utils::CheckData< Gaudi::Range_< std::vector< const TYPE * > > >::getData
DataObject * getData(IDataProviderSvc *service, const std::string &location) const
get the data form transient store
Definition: GetData.h:354
GaudiPython.HistoUtils.location
location
Definition: HistoUtils.py:936
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/GetData.h